This patch changes make check output to look more
consistent.
* subversion/tests/libsvn_fs/run-fs-tests.sh: Change output
format to match other make check target. Always return 0
since other targets do so.
* subversion/tests/libsvn_wc/Makefile.am (check): Home made
check target to avoid using automake's one.
* subversion/tests/libsvn_wc/checkout-test.sh: Output what
has happend.
Index: subversion/tests/libsvn_fs/run-fs-tests.sh
===================================================================
RCS file: /cvs/subversion/subversion/tests/libsvn_fs/run-fs-tests.sh,v
retrieving revision 1.2
diff -u -r1.2 run-fs-tests.sh
--- subversion/tests/libsvn_fs/run-fs-tests.sh 2000/12/17 00:13:50 1.2
+++ subversion/tests/libsvn_fs/run-fs-tests.sh 2001/02/26 08:58:33
@@ -8,14 +8,15 @@
> ./tests.log
for test_pgm in skel-test fs-test; do
- if ./${test_pgm} >> ./tests.log; then :; else
- echo "Test program \`${test_pgm}' exited with status $?" >&2
- exit 1
+ echo;
+ echo -n "Running all sub-tests in ${test_pgm}...";
+ ./${test_pgm} >> tests.log;
+ if [ $? -eq 0 ];
+ then
+ echo "SUCCESS";
+ else
+ echo;
+ echo "at least one sub-test FAILED, check tests.log:"; echo; \
+ cat tests.log | grep FAIL; \
fi
done
-
-if grep '^FAIL:' ./tests.log; then
- exit 1
-else
- exit 0
-fi
Index: subversion/tests/libsvn_wc/Makefile.am
===================================================================
RCS file: /cvs/subversion/subversion/tests/libsvn_wc/Makefile.am,v
retrieving revision 1.17
diff -u -r1.17 Makefile.am
--- subversion/tests/libsvn_wc/Makefile.am 2001/02/06 16:33:53 1.17
+++ subversion/tests/libsvn_wc/Makefile.am 2001/02/26 08:58:33
@@ -20,8 +20,9 @@
## Make libtool be quiet
LIBTOOL = @LIBTOOL@ --silent
-## Automatic test scripts to run for `make check`
-TESTS = checkout-test.sh
+check:
+ srcdir=$(srcdir); export srcdir; \
+ sh @srcdir@/checkout-test.sh
## For some reason, we need to include this in the distribution
EXTRA_DIST = checkout-test.sh
Index: subversion/tests/libsvn_wc/checkout-test.sh
===================================================================
RCS file: /cvs/subversion/subversion/tests/libsvn_wc/checkout-test.sh,v
retrieving revision 1.11
diff -u -r1.11 checkout-test.sh
--- subversion/tests/libsvn_wc/checkout-test.sh 2001/01/30 23:32:49 1.11
+++ subversion/tests/libsvn_wc/checkout-test.sh 2001/02/26 08:58:33
@@ -21,6 +21,9 @@
# ./checkout-test checkout-${num}.delta ${num}/this/is/a/test/dir
# done
+echo
+echo -n "Running all sub-tests in checkout-test"...
./checkout-test ${TEST_DELTA} this
+echo "DONE"
# That's it. Right now, we test by inspecting them by hand.
--
Yoshiki Hayashi
Received on Sat Oct 21 14:36:23 2006